Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextImageFormat

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextFormat
                  com.trolltech.qt.gui.QTextCharFormat
                      com.trolltech.qt.gui.QTextImageFormat

All Implemented Interfaces:
  QtJambiInterface

    public class QTextImageFormat

extends QTextCharFormat

The `QTextImageFormat` class provides formatting information for images in a `QTextDocument`.

Inline images are represented by an object replacement character (0xFFFC in Unicode) which has an associated `QTextImageFormat`. The image format specifies a name with `setName` that is used to locate the image. The size of the rectangle that the image will occupy is specified using `setWidth` and `setHeight`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QTextCharFormat
`QTextCharFormat.UnderlineStyle, QTextCharFormat.VerticalAlignment`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QTextFormat
`QTextFormat.FormatType, QTextFormat.ObjectTypes, QTextFormat.PageBreakFlag, QTextFormat.PageBreakFlags, QTextFormat.Property`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTextImageFormat()` Creates a new image format object.

Method Summary
`static QTextImageFormat` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTextImageFormat instance pointed to by nativePointer
`double` | `height()` Returns the height of the rectangle occupied by the image.
`boolean` | `isValid()` Returns true if this image format is valid; otherwise returns false.
`java.lang.String` | `name()` Returns the name of the image.
`static QNativePointer` | `nativePointerArray(QTextImageFormat[] array)` This function returns a QNativePointer that is pointing to the specified QTextImageFormat array.
`void` | `setHeight(double height)` Sets the `height` of the rectangle occupied by the image.
`void` | `setName(java.lang.String name)` Sets the `name` of the image.
`void` | `setWidth(double width)` Sets the `width` of the rectangle occupied by the image.
`double` | `width()` Returns the width of the rectangle occupied by the image.

Methods inherited from class com.trolltech.qt.gui.QTextCharFormat
`anchorHref, anchorNames, font, fontFamily, fontFixedPitch, fontItalic, fontOverline, fontPointSize, fontStrikeOut, fontUnderline, fontWeight, isAnchor, nativePointerArray, setAnchor, setAnchorHref, setAnchorNames, setFont, setFontFamily, setFontFixedPitch, setFontItalic, setFontOverline, setFontPointSize, setFontStrikeOut, setFontUnderline, setFontWeight, setTableCellColumnSpan, setTableCellRowSpan, setTextOutline, setToolTip, setUnderlineColor, setUnderlineStyle, setVerticalAlignment, tableCellColumnSpan, tableCellRowSpan, textOutline, toolTip, underlineColor, underlineStyle, verticalAlignment`

Methods inherited from class com.trolltech.qt.gui.QTextFormat
`background, boolProperty, brushProperty, clearBackground, clearForeground, clearProperty, colorProperty, doubleProperty, equals, foreground, hasProperty, intProperty, isBlockFormat, isCharFormat, isFrameFormat, isImageFormat, isListFormat, isTableFormat, layoutDirection, lengthProperty, lengthVectorProperty, merge, nativePointerArray, objectIndex, objectType, penProperty, properties, property, propertyCount, readFrom, setBackground, setForeground, setLayoutDirection, setObjectIndex, setObjectType, setProperty, setProperty, stringProperty, toBlockFormat, toCharFormat, toFrameFormat, toImageFormat, toListFormat, toTableFormat, type, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextImageFormat

    public QTextImageFormat()

  Creates a new image format object.

Method Detail

### height

    public final double height()

  Returns the height of the rectangle occupied by the image.

  See Also:
    `width`, `setHeight`

### isValid

    public final boolean isValid()

  Returns true if this image format is valid; otherwise returns false.

  Overrides:
    `isValid` in class `QTextCharFormat`

### name

    public final java.lang.String name()

  Returns the name of the image. The name refers to an entry in the application's resources file.

  See Also:
    `setName`

### setHeight

    public final void setHeight(double height)

  Sets the `height` of the rectangle occupied by the image.

  See Also:
    `height`, `setWidth`

### setName

    public final void setName(java.lang.String name)

  Sets the `name` of the image. The `name` is used to locate the image in the application's resources.

  See Also:
    `name`

### setWidth

    public final void setWidth(double width)

  Sets the `width` of the rectangle occupied by the image.

  See Also:
    `width`, `setHeight`

### width

    public final double width()

  Returns the width of the rectangle occupied by the image.

  See Also:
    `height`, `setWidth`

### fromNativePointer

    public static QTextImageFormat fromNativePointer(QNativePointer nativePointer)

  This function returns the QTextImageFormat instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextImageFormat[] array)

  This function returns a QNativePointer that is pointing to the specified QTextImageFormat array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD